/* global ImglyKit */
"use strict";

var app = {
  // Application Constructor
  initialize: function() {
      this.bindEvents();
  },
  // Bind Event Listeners
  //
  // Bind any events that are required on startup. Common events are:
  // 'load', 'deviceready', 'offline', and 'online'.
  bindEvents: function() {
      document.addEventListener('deviceready', this.onDeviceReady, false);
  },
  // deviceready Event Handler
  //
  // The scope of 'this' is the event. In order to call the 'receivedEvent'
  // function, we must explicitly call 'app.receivedEvent(...);'
  onDeviceReady: function() {
    var kit = new ImglyKit({
      renderer: "canvas", // Defaults to "webgl", uses "canvas" as fallback
      assetsUrl: "assets", // The URL / path where all assets are
      container: document.querySelector("#container"),
      ui: {
        enabled: true
      },
      renderOnWindowResize: true // Our editor's size is relative to the window size
    });

    kit.run();
  }
};

app.initialize();